import 'package:firebase_auth/firebase_auth.dart';

class FireResult<T>{
  FireResult({this.success, this.message, this.data});
  T data;
  String message;
  bool success;
}

class FireListResult<T, C>{
  FireListResult({this.success, this.message, this.data, this.cursor});
  List<T> data;
  String message;
  C cursor;
  bool success;
}

class FireUser{
  FireUser(this.detail);
  User detail;

  bool emailVerified(){
    return detail.emailVerified;
  }
   String email(){
    return detail.email;
   }
}